The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Теория и практика установки glib ....."
Вариант для распечатки  
Пред. тема | След. тема 
Форумы Открытые системы на рабочей станции (Public)
Изначальное сообщение [ Отслеживать ]

"Теория и практика установки glib ....."  +/
Сообщение от gardener email(ok) on 02-Фев-10, 20:11 
Здравствуйте!

С линуксом только знакомлюсь. Поставил fedora core 3.0. (почему именно эта ОС? Потому что то железо которое я достал из подвала большее не потянет. Хочется из списанного компа сделать шлюз)
Ну и следующим шагом решил поставить MC.

Собственно проблема сейчас не в том как его поставить, а в теоретической возможности обновлять пакеты.

Дело в том что из исходников (не рпм пакет этого MC) я собрать не смог, по причине проблем с установкой glib. Требовалась версия не ниже 2.6, а у меня стоит ???.

rpm -q -a | grep -e "glib.*" | sort   -  выдает следующее:
dbus-glib-0.22-10
glib-1.2.10-15
glib2-2.4.7-1
glibc-2.3.3-74
glibc-headers-2.3.3-74
glibc-common-2.3.3-74
glibc-devel-2.3.3-74
glibc-kernheaders-2.4-9.1.87

При этом вся последовательность операций (./configure + gmake + gmake install) по установке библиотеки glib из исходника ftp://ftp.gtk.org/pub/gtk/v2.6/glib-2.6.6.tar.bz2 отработала без ошибок. В каталоге /usr/local/lib лежат свежесобранные файлы библиотек, каталог /usr/local/include содержит свеженький каталог glib-2.0, но конфигурирование MC вылетает с сообщением что текущая библиотека ниже версии 2.6.
При всем при этом, в mc-4.7.0/configure.log есть такие строки:

configure:14127: checking for GLIB
configure:14134: $PKG_CONFIG --exists --print-errors "glib-2.0 >= 2.6"
configure:14137: $? = 0
configure:14150: $PKG_CONFIG --exists --print-errors "glib-2.0 >= 2.6"
configure:14153: $? = 0
configure:14188: result: yes

что как я понимаю хорошо.
А вот дальше:

configure:36016: result: Selected 'glib' search engine, but you don't have glib >= 2.14. Trying to use 'pcre' engine, (WARNING)

что и есть камнем преткновения.

Вообщем назрели вопросы:
1) как узнать какие установлены и где размещаются в системе библиотеки?
2) пути и приоритеты поиска библиотечных файлов?
3) где смотреть ошибки сборки пакетов?

Заранее благодарю.

Высказать мнение | Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Теория и практика установки glib ....."  +/
Сообщение от anonymous (??) on 02-Фев-10, 21:08 
>С линуксом только знакомлюсь. Поставил fedora core 3.0. (почему именно эта ОС?
>Потому что то железо которое я достал из подвала большее не
>потянет. Хочется из списанного компа сделать шлюз)

Не будьте идиотом, скачайте что-то посвежее.

>Ну и следующим шагом решил поставить MC.

Шлюзу не нужен mc.

>Собственно проблема сейчас не в том как его поставить, а в теоретической
>возможности обновлять пакеты.

Ее у вас нет.

>При этом вся последовательность операций (./configure + gmake + gmake install) по
>установке библиотеки glib из исходника ftp://ftp.gtk.org/pub/gtk/v2.6/glib-2.6.6.tar.bz2

Есть и более свежие версии.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

2. "Теория и практика установки glib ....."  +/
Сообщение от gardener email(ok) on 02-Фев-10, 22:18 
Обана!
Такого конструктивного ответа никак не ожидал. Жжет аффтар! Не зря анонимус.
Что я мог, я сам знаю. :)

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

3. "Теория и практика установки glib ....."  +/
Сообщение от anonymous (??) on 05-Фев-10, 14:14 
Возьмите src.rpm от более новой версии федоры и пересоберите стандартным способом
rpm -ivh http://archive.fedoraproject.org/pub/archive/fedora/linux/re...
rpmbuild -bb /usr/уже не помню где там по умолчанию каталог для сборки/SPEC/только-что-установленный.spec
Полученный пакет установите.
Если очень не хочется идти тандартным способом, то разбирайтесь с pkg-config, чтобы он искал при сборке mc glib, установленный в /usr/local
Настоятельно рекомендую прочитать man rpm и обновить версию федоры на более современную
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

4. "Теория и практика установки glib ....."  +/
Сообщение от gardener email(ok) on 05-Фев-10, 21:02 
>Возьмите src.rpm от более новой версии федоры и пересоберите стандартным способом

...
>Настоятельно рекомендую ... обновить версию федоры на более современную
>

Пользователю виндоус тяжело свыкнуться с мыслью, что смена операционки НЕ потребует смены железа :)

С другой стороны, без обновления ядра ничего нового не станет.

Поняв это обновил систему. Правда взял для этого слаку 13.0. Что будет дальше посмотрим.

Благодарю за содержательный ответ и наставления.
Успехов!

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Слёрм
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2020 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру